This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1316913 - ImportError: No module named tempest_lib
ImportError: No module named tempest_lib
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tempest (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Daniel Mellado
tkammer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-11 08:18 EST by Arie Bregman
Modified: 2016-03-17 04:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-16 15:26:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Gerrithub.io 265932 None None None 2016-03-11 08:23 EST

  None (edit)
Description Arie Bregman 2016-03-11 08:18:22 EST
Description of problem:
Before running tempest tests, while running tools/config_tempest.py to deploy configuration for tempest, I'm getting the following error:

12:27:25 stderr: Traceback (most recent call last):
12:27:25   File "tools/config_tempest.py", line 45, in <module>
12:27:25     from tempest_lib import auth
12:27:25 ImportError: No module named tempest_lib


Version-Release number of selected component (if applicable): latest


How reproducible:
100%

Steps to Reproduce:
1. install tempest from source
2. run tools/config_tempest.py 

Actual results:

12:27:25 stderr: Traceback (most recent call last):
12:27:25   File "tools/config_tempest.py", line 45, in <module>
12:27:25     from tempest_lib import auth
12:27:25 ImportError: No module named tempest_lib

Expected results:

No errors :)
configuration deployed.
Comment 2 Daniel Mellado 2016-03-11 08:23:48 EST
Added proposed patch.

Note You need to log in before you can comment on or make changes to this bug.